Fibre Channel Port Types Registry
Fibre Channel Port Types
The "standard" range will be subject to the "Specification Required"
policy described in RFC 8126 with the provisions outlined in RFC 4044.
| Range |
Registration Procedures |
| 1-9999 |
Specification Required |
| 10000-99999 |
Private Use |
| 100000 and higher |
Reserved |
| Assigned Value |
Type |
Meaning |
Reference |
| 1 |
unknown |
for use when the type is not known,
or is "unidentified" as specified in
section 5.1.2.10 of "Fibre Channel - Generic Services - 3 (FC-GS-3)", ANSI INCITS 348-2001, 2001. |
RFC 4044 |
| 2 |
other |
used for types without assigned values |
RFC 4044 |
| 3 |
-- |
an obsolete value, not to be re-assigned |
RFC 4044 |
| 4 |
N_Port |
see "Fibre Channel - Framing and Signaling (FC-FS)", ANSI INCITS 373-2003, April 2003. |
RFC 4044 |
| 5 |
NL_Port |
see "Fibre Channel - Framing and Signaling (FC-FS)", ANSI INCITS 373-2003, April 2003. |
RFC 4044 |
| 6 |
F_Port |
see "Fibre Channel - Framing and Signaling (FC-FS)", ANSI INCITS 373-2003, April 2003. |
RFC 4044 |
| 7 |
FL_Port |
see "Fibre Channel - Framing and Signaling (FC-FS)", ANSI INCITS 373-2003, April 2003. |
RFC 4044 |
| 8 |
E_Port |
see "Fibre Channel - Framing and Signaling (FC-FS)", ANSI INCITS 373-2003, April 2003. |
RFC 4044 |
| 9 |
B_Port |
see "Fibre Channel - Framing and Signaling (FC-FS)", ANSI INCITS 373-2003, April 2003. |
RFC 4044 |
| 10 |
G_Port |
see "Fibre Channel - Switch Fabric - 3 (FC-SW-3)", ANSI INCITS 384-2004, June 2004.
December 2003. |
RFC 4044 |
| 11 |
GL_Port |
see "Fibre Channel - Switch Fabric - 3 (FC-SW-3)", ANSI INCITS 384-2004, June 2004.
December 2003. |
RFC 4044 |
| 12 |
F/NL_Port |
see "Fibre Channel - Arbitrated Loop (FC-AL-2)", ANSI INCITS 332-1999, 1999. |
RFC 4044 |
| 13-9999 |
Unassigned |
|
|
| 10000-99999 |
Private Use |
|
RFC 2434 |
| 100000 and higher |
Reserved |
|
|